@import 'variables';

:host {
  height: calc(100vh - 120px);
  overflow: auto;
  display: flex;
  flex-direction: row;
  justify-content: flex-start;
  align-items: flex-start;
  flex-wrap: nowrap;
  background-color: $white;
  border-top: 1px solid $gray-medium;
  border-bottom: 1px solid $gray-medium;
}
.runs-list {
  height: 100%;
  display: flex;
  flex-direction: row;
  justify-content: flex-start;
  align-items: flex-start;
  flex-wrap: nowrap;
  background-color: $white;
}
.runs-list-item {
  border-left: 1px solid $gray-medium;
  &:last-child {
    border-right: 1px solid $gray-medium;
  }
}

.table-of-contents {
  align-self: stretch;
  min-height: 100%;
  min-width: 200px;
}

.row {
  display: flex;
  flex-direction: row;
  justify-content: flex-start;
  align-items: flex-start;
  padding-left: 10px;
  padding-top: 10px;
  font-size: 16px;
  color: $gray-medium;

  &.job-name {
    min-height: 50px;
    background-color: $gray-lightest;
  }

  &.minerals {
    padding-bottom: 5px;
    padding-top: 5px;
    min-height: 110px;
  }

  &.mineral-distribution {
    padding-top: 30px;
    min-height: 400px;
  }

  &.grain-density {
    min-height: 380px;
  }
}
